accrue.analysis.pointer

## Class AllocSiteNode

- java.lang.Object
- - accrue.analysis.pointer.AllocSiteNode

-     public class AllocSiteNode
      extends java.lang.Object

  Represents an allocation site in the code.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `polyglot.types.ClassType` | `containingClass`
    `polyglot.types.Type` | `instantiatedType` Either a ClassType or ArrayType

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllocSiteNode(polyglot.types.Type instantiatedClass, polyglot.types.ClassType containingClass, boolean isPreciseType, java.lang.String debugString, polyglot.util.Position pos)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `polyglot.types.Type` | `expectedType()`
    `int` | `hashCode()`
    `boolean` | `isPreciseType()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instantiatedType

          public final polyglot.types.Type instantiatedType

      Either a ClassType or ArrayType

    - #### containingClass

          public final polyglot.types.ClassType containingClass

  - ### Constructor Detail

    - #### AllocSiteNode

          public AllocSiteNode(polyglot.types.Type instantiatedClass,
                       polyglot.types.ClassType containingClass,
                       boolean isPreciseType,
                       java.lang.String debugString,
                       polyglot.util.Position pos)

  - ### Method Detail

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### expectedType

          public polyglot.types.Type expectedType()

    - #### isPreciseType

          public boolean isPreciseType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`